---
# Ponemos un frontmatter porque queremos que Jekyll procese este archivo
---

{%- assign theme = site.posts | find: "layout", "theme" -%}

{% if theme %}
  {{ theme | yaml_to_scss: site.data.layouts.theme }}
{% endif %}

$navbar-height: 86px;

/// Agregamos los colores propios de la plantilla aquí.  Bootstrap los
/// agrega a su propia paleta de colores.  Si usamos el mismo nombre
/// podemos redefinir el color.
///
/// Agregamos negro porque alguna gente no lo considera un color.
$colors: (
  "black": black
);

/// Redefinir los colores de temas aquí, esto aplica a los elementos
/// `-primary`, `-secondary`, etc. de Bootstrap.  Por ejemplo para
/// generar un botón con otro color y sus sombras correspondientes, lo
/// agregamos acá.
$theme-colors: (
  "recursero": mediumorchid
);

/// Tamaños (anchos y altos) redefinidos desde Bootstrap.
$sizes: (
  100vh: 100vh,
  100vw: 100vw
);

/// Niveles de opacidad/transparencia
$opacities: (
  0: -100%,
  1: -80%,
  2: -60%,
  3: -40%,
  4: -20%,
  5: 0%
);

/// Redefinir variables de Boostrap acá.  Se las puede ver en
/// node_modules/bootstrap/scss/_variables.scss
///
/// @todo Solo importar los archivos necesarios de bootstrap para
/// facilitar la reducción de CSS.  Por ahora pedimos todo para poder
/// empezar a trabajar en el HTML sin pensar en CSS.
@import "bootstrap/scss/bootstrap";
/// Íconos
@import "fork-awesome/scss/fork-awesome";
/// Nuestro propio SCSS
@import "accessibility";
@import "helpers";
@import "toggler";
@import "share_box";
@import "navbar";
@import "embed";
@import "snap";
@import "editor";
@import "menu";

.navbar {
  margin-bottom: -$navbar-height; /* El alto del navbar */
}

.jumbotron {
  background: #ffc0cb;
  background: linear-gradient(135deg,#ffc0cb -10%, #ffffff 50%, #00ffff 110%);
  background: -webkit-linear-gradient(135deg,#ffc0cb -10%, #ffffff 50%, #00ffff 110%);
  background: -moz-linear-gradient(135deg,#ffc0cb -10%, #ffffff 50%, #00ffff 110%);

  /* Tomar en cuenta el alto del navbar */
  padding-top: calc(#{$jumbotron-padding} + #{$navbar-height});
  @include media-breakpoint-up(sm) {
    padding-top: calc(#{($jumbotron-padding * 2)} + #{$navbar-height});
  }
}

/// La barra de progreso de Turbolinks tiene el color primario
/// de la paleta, definido por Bootstrap o por nosotres.
.turbolinks-progress-bar { background-color: $primary; }
/// La barra de progreso de Turbo tiene el color primario
/// de la paleta, definido por Bootstrap o por nosotres.
.turbo-progress-bar { background-color: $primary; }

/// Mostrar un borde alrededor de todos los elementos para poder
/// detectar el espacio que ocupan los elementos.  El borde no ocupa
/// espacio de por sí, con lo que no afecta la estructura del sitio.
@if $debug {
  * { outline: 1px solid pink; }
}
